Upsert Protected Registry Package Policy
PUT
/v1/packages/registry/policies
const url = 'https://example.com/v1/packages/registry/policies?tenant_id=';const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url 'https://example.com/v1/packages/registry/policies?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalRegistryPackagePolicyOut
object
tenant_id
Tenant Id
string
project_slug
Project Slug
string
package_name
Package Name
string
package_scope
Package Scope
string
status
Status
string
install_group_paths
Install Group Paths
Array<string>
publish_group_paths
Publish Group Paths
Array<string>
build_group_paths
Build Group Paths
Array<string>
delivery_group_paths
Delivery Group Paths
Array<string>
owner_group_paths
Owner Group Paths
Array<string>
updated_by
Updated By
string
updated_at
Updated At
string
Example
{ "tenant_id": "default", "project_slug": "", "package_name": "", "package_scope": "", "status": "active", "updated_by": "", "updated_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}